# Uses of Interface
org.eclipse.team.core.history.IFileHistoryProvider

Packages that use IFileHistoryProvider
Package
Description
org.eclipse.team.core
Application programming interfaces for defining and working with repository providers.
org.eclipse.team.core.history.provider
Application programming interfaces for describing the history associated with files.

## Uses of IFileHistoryProvider in org.eclipse.team.core

Methods in org.eclipse.team.core that return IFileHistoryProvider
Modifier and Type
Method
Description
`IFileHistoryProvider`
RepositoryProvider.`getFileHistoryProvider()`
Returns an `IFileHistoryProvider` which can be used to access file histories.

## Uses of IFileHistoryProvider in org.eclipse.team.core.history.provider

Classes in org.eclipse.team.core.history.provider that implement IFileHistoryProvider
Modifier and Type
Class
Description
`class`
`FileHistoryProvider`
Abstract FileHistoryProvider class.